
QGIS Application - Bug report #7386

Editable status of field widget not stable

2013-03-18 03:34 AM - Andreas Neumann

Status: Closed

Priority: Severe/Regression

Assignee:

Category: Digitising

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 16357

Description

In the field widget definitions one can set if a widget is editable.

Unfortunately this setting does not remain as the user entered it, for some reason.

If one changes a widget to "not editable", does some changes to widgets of other fields, closes the dialog, opens it again and looks in the

widget definition the editable state of the field changes back to "editable".

There seems to be a problem with the dialogues storing/loadin/displaying these values.

Associated revisions

Revision 5743f52c - 2013-03-18 12:38 PM - Jürgen Fischer

fix #7386

Revision 981c174f - 2013-03-20 10:30 AM - Jürgen Fischer

fix #7386 (another issue)

Revision 9672d1f7 - 2013-03-20 12:11 PM - Jürgen Fischer

fix #7386 (yet another issue)

History

#1 - 2013-03-18 04:39 AM - Jürgen Fischer

- Status changed from Open to Closed

Fixed in changeset commit:"5743f52c8f5026a5b89b12b261e2a0eabb55b5ff".

#2 - 2013-03-18 06:02 AM - Salvatore Larosa

it still occurs here.

steps to replicate:
*set a field to not editable (unchecked)

*apply

*set another field to  not editable (unchecked)

*apply

oddly the first field is now editable.

#3 - 2013-03-18 10:50 AM - Giovanni Manghi

reopen the ticket?

#4 - 2013-03-18 01:02 PM - Salvatore Larosa

- Status changed from Closed to Reopened

#5 - 2013-03-19 11:59 PM - Denis Rouzaud

I cannot reproduce last bug:

*set a field to not editable (unchecked)

*apply

*set another field to not editable (unchecked)

*apply

oddly the first field is now editable.

I tried with postgis and shapefiles.

#6 - 2013-03-20 01:00 AM - Andreas Neumann

It seems to work fine for me now. From my point of view we can close this bug if Salvatore is also ok with it? Salvatore - did you test with the latest version?

Thanks Jürgen for fixing it!

Andreas

#7 - 2013-03-20 02:04 AM - Salvatore Larosa

unfortunately it doesn't work as expected here (unless I am wrong).

the link shows a short video on what happens to me (following the above steps)

http://lrssvt.ns0.it/img/enableStatus.ogv
#8 - 2013-03-20 02:30 AM - Jürgen Fischer

- Status changed from Reopened to Closed

Fixed in changeset commit:"981c174fb49cea72e0501000e599fd5f977b4d9f".

#9 - 2013-03-20 03:26 AM - Salvatore Larosa

- Status changed from Closed to Reopened

Sorry if I am opening again this issue, but 

I still getting some strange thing after the latest fix.

It seems that if I set to not editable a field 

even all the others fields are not editable.

#10 - 2013-03-20 03:37 AM - Denis Rouzaud

First, thanks Jef for the first two fixes, you were a lot quicker than me.

Also, Salvatore, do you have a step-by-step procedure to the last problem. I can't reproduce it.

#11 - 2013-03-20 03:49 AM - Salvatore Larosa

Denis Rouzaud wrote:

Also, Salvatore, do you have a step-by-step procedure to the last problem. I can't reproduce it.

Hi Denis,

you can reproduce it adding a new layer (shp or DB) into your project and set a field to not editable

Finally try to insert a new feature or simply open the edit form from identify result.

http://lrssvt.ns0.it/img/editableStatus2.ogv

#12 - 2013-03-20 04:11 AM - Jürgen Fischer

- Status changed from Reopened to Closed

Fixed in changeset commit:"9672d1f7cf9cea759943cbc0b947ceee3da7e6d5".
